#include <bits/stdc++.h>
using namespace std;
int sbor(int x)
{


    for(int i=1; i<sqrt(x); i++)
    {
        int j=sqrt(x-i*i);
        int ans=j*j+i*i;
        if(ans==x)
        {
            return 1;
        }

    }
    return 0;
}
int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n;
    cin>>n;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];

        a[i]=sbor(a[i]);
    }
    for(int i=0; i<n; i++)
    {
        cout<<a[i];
    }
    return 0;
}
